<?php
session_start();

require('fpdf.php');
include($_SERVER[DOCUMENT_ROOT].'/kernel/conecta.php');



// $_GET[ids_ordem] = '3';
// $_GET[ids_ordem] = '14,16';


$id_ordem = str_replace(';', ',', $_GET[ids_ordem]);



//VERIFICA SE TODOS OS CAMPOS FORAM PREENCHIDOS
if ($id_ordem == ''){
	echo 'Entre com o número da comanda!';
	exit;
}


$sql = selecionar('ordem','orde_tx_status','!inativo'," AND orde_nb_id IN ($id_ordem) GROUP BY orde_tx_comanda ORDER BY orde_nb_id DESC");
while( $a = carrega_array($sql) ){
	$a_comanda[] = $a[orde_tx_comanda];
}


$comandas = @implode(",",$a_comanda);



// $comandas = implode(",",$a_comanda);

// if($_POST[numero_comanda]){
// 	$id_ordem = $_POST[numero_comanda];
// 	$comandas = $id_ordem;
// 	$sql = selecionar('ordem','orde_tx_status','!inativo'," AND orde_tx_comanda IN ($id_ordem) ORDER BY orde_nb_id DESC");
// 	while( $a = carrega_array($sql) ){
// 		$a_id_ordem[] = $a[0];
// 	}
// 	$id_ordem = implode(",",$a_id_ordem);
// }




define(PASTA_LOCAL,$_SERVER[DOCUMENT_ROOT].$CACTUX_CONF['path']);

//$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir.pdf';

// VERIFICA O ID DO USUARIO QUE IMPRIMIU PARA MANTER A FILA DE IMPRESSAO
if( $_SESSION[user_nb_id] == '' )	$ID_USER = rand(1000,9999); else	$ID_USER = $_SESSION[user_nb_id];

//$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir_'.$_GET[impressora].'_'.$ID_USER.'.pdf';
$arquivo_pdf = PASTA_LOCAL.'/impressao/'.date('ymd').'_'.substr(basename($_SERVER[PHP_SELF]),0,-4).'_'.$_GET[impressora].'_'.$ID_USER.'-'.rand(1000,9999).'.pdf';







// INICIA A CRIAÇÃO DO PDF
$pdf = new FPDF("P","mm",array($CONFIGURA[LARGURA_IMPRESSAO],$CONFIGURA[ALTURA_IMPRESSAO]));
$pdf->SetMargins($CONFIGURA[MARGEM_ESQUERDA],$CONFIGURA[MARGEM_TOPO],$CONFIGURA[MARGEM_DIREITA]);
$pdf->AddPage();
 
$pdf->SetFont('arial','B',7);



// CRIA O CABEÇALHO DA IMPRESSÃO
$pdf->Cell(0,3,$CONFIGURA[NOME_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[CNPJ_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[ENDERECO_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[CEP_IMPRESSAO],0,1,'C');
$pdf->Ln(5);
$pdf->SetFont('arial','B',12);
foreach ($a_comanda as $key => $n_comanda) {
	// IDENTIFICA SE É UM DELIVERY OU PEDIDO NORMAL
	if ( substr(trim($n_comanda),0,8)=='DELIVERY' )
		$titulo = $n_comanda;
	else
		$titulo = "COMANDA $n_comanda";
	$pdf->Cell(0,4,$titulo,0,1,'C');
}
$pdf->SetFont('arial','',8);
$pdf->Ln(2);
$pdf->Cell(0,2,date("d/m/Y ( H:i:s )"),0,1,'C');
$pdf->Ln(2);

$pdf->SetFont('arial','B',8);
$pdf->Cell(0,2,"___________________________________________________",0,1,"C");
$pdf->SetFont('arial','',8);


 
// CRIA O CABEÇALHO DA TABELA DA LISTAGEM DOS PRODUTOS
$pdf->SetFont('arial','B',8);
$pdf->Cell(30,5,'ITEM',0,0,"L");
$pdf->Cell(50,5,'PRODUTO',0,1,"L");

$pdf->Cell(20,1,'QTDE',0,0,"R");
$pdf->Cell(30,1,'VL.UNIT.',0,0,"C");
$pdf->Cell(0,1,'VALOR',0,1,"R");


$pdf->SetFont('arial','B',8);
$pdf->Cell(0,2,"___________________________________________________",0,1,"C");

$pdf->Ln(2);
 
// ALTERA O TIPO E TAMANHO DA FONTE
$pdf->SetFont('arial','',8);



// LISTAGEM DOS PRODUTOS DA COMANDA
$sql = selecionar('prod_tx_codbarras,orpr_nb_id,prod_tx_nome,orpr_tx_porcentagem,orpr_tx_valor,orpr_tx_desconto,orpr_tx_descontoReal,SUM(orpr_tx_qtde) as qtde,orpr_tx_qtde*orpr_tx_valor as valor|orpr,produto,ordem','orpr_tx_status',"ativo"," AND orde_nb_id IN ($id_ordem) GROUP BY prod_nb_id ORDER BY orpr_nb_id ASC");
$desconto_total = 0;

while( $a = carrega_array($sql) ) {
// NAO EXIBE SE A QUANTIDADE FOR 0 ( NO CASO DE TER LANCADO UM PRODUTO E DEPOIS CANCELADO)
	if( $a[qtde] == 0 )	
		continue;


	$unitario = $a[orpr_tx_valor];
	$valor_prod = ($unitario*$a[qtde]);



	// LINHA 1 DA LISTAGEM DE PRODUTOS
	$pdf->Cell(10,3,str_pad(++$j,2,'0',STR_PAD_LEFT),0,0,"L");
	$pdf->Cell(1,3,$a[prod_tx_nome],0,1,"L");

	// LINHA 2 DA LISTAGEM DE PRODUTOS
	$pdf->Cell(20,3,mostra_valor($a[qtde]),0,0,"R");
	$pdf->Cell(30,3,mostra_valor($unitario),0,0,"C");
	$pdf->Cell(0,3,mostra_valor($valor_prod),0,1,"R");

	
	// $string_imprime .= "<tr><td width='40px' >".str_pad(++$j,2,'0',STR_PAD_LEFT)."</td><td colspan=2>".$a[prod_tx_nome]."</td></tr>"."\r\n";
	// $string_imprime .= "<tr><td width='40px' align=right>".mostra_valor($a[qtde])."</td><td align=center width='100px'>R$ ".mostra_valor($unitario)."</td><td  align=right>R$ ".mostra_valor($valor_prod)."</td></tr>"."\r\n";
	
	$total += $valor_prod;
	$desconto_total += $a[orpr_tx_descontoReal];
	
	$pdf->Ln(1);
}



// OBTEM O VALOR DA TAXA DE SERVIÇO
$sql3 = selecionar('orpr_nb_id,orpr_tx_valor,orde_tx_comanda,orpr_nb_ordem|orpr,ordem','orpr_tx_status',"taxa"," AND orde_nb_id IN ($id_ordem) GROUP BY orpr_nb_id ORDER BY orpr_nb_id DESC LIMIT 1",0);
while( $a3 = carrega_array($sql3) ) {
	// OBTEM O VALOR A SER PAGO PELA COMISSÃO
	$v_comissao = ($total-$desconto_total)*$a3[orpr_tx_valor]/100;

}



// $string_imprime .= "<tr><td colspan=3 align=right>SUB TOTAL: R$ ".mostra_valor($total)."</td></tr>";
// if ( $desconto_total > 0 )
// 	$string_imprime .= "<tr><td colspan=3 align=right>DESCONTOS: R$ -".mostra_valor($desconto_total)."</td></tr>";
// $string_imprime .= "<tr><td colspan=3 align=right>SUGESTÃO DE GORJETA: R$ ".mostra_valor($v_comissao,1)."</td></tr>";
// $string_imprime .= "<tr><td colspan=3 align=right>TOTAL: R$ ".mostra_valor(($total-$desconto_total+$v_comissao),1)."</td></tr>";




$pdf->SetFont('arial','B',8);
$pdf->Cell(0,2,"___________________________________________________",0,1,"C");
$pdf->SetFont('arial','',8);


// CRIA AS LINHAS COM O SUB-TOTAL E O TOTAL
$pdf->Ln(1);
$pdf->Cell(50,5,"SUB TOTAL:",0,0,"R");
$pdf->Cell(0,5,'R$ '.mostra_valor($total),0,1,"R");
$pdf->Ln(1);

if ( $desconto_total > 0 ) {
	// SE TIVER APLICADO ALGUM DESCONTO
	$pdf->Cell(50,1,"DESCONTOS:",0,0,"R");
	$pdf->Cell(0,1,'R$ -'.mostra_valor($desconto_total),0,1,"R");
	$pdf->Ln(1);
}

$pdf->Cell(50,1,"SUGESTÃO DE GORJETA:",0,0,"R");
$pdf->Cell(0,1,'R$ '.mostra_valor($v_comissao,1),0,1,"R");
$pdf->Ln(2);

$pdf->Cell(50,2,"TOTAL:",0,0,"R");
$pdf->SetFont('arial','B',8);
$pdf->Cell(0,2,'R$ '.mostra_valor(($total-$desconto_total+$v_comissao),1),0,1,"R");
$pdf->Ln(2);

$pdf->SetFont('arial','',8);


$string_pagamento .= "<tr><td colspan=3 align=right><hr></td></tr>"."\r\n";
$string_pagamento .= "<tr><td colspan=3 align=left><b>FORMA DE PAGAMENTO</b></td></tr>";


// LISTA OS ORPR ITENS DE PAGAMENTO
$sql_pagamento = selecionar('prod_nb_id,orpr_tx_valor,SUM(orpr_tx_qtde) as qtde,SUM(orpr_tx_qtde*orpr_tx_valor) as valor|orpr,produto,ordem','orpr_tx_status',"pagamento"," AND orde_nb_id IN ($id_ordem) GROUP BY prod_nb_id ORDER BY orpr_nb_id DESC");

$pag=0;
while( $a = carrega_array($sql_pagamento) ) {

	if ( $pag == 0 ) {
		// SE FOR A PRIMEIRA LINHA
		
		$pdf->Ln(2);
		$pdf->Cell(50,5,"","B",1,'C'); // CRIA UMA LINHA DIVISÓRIA
		$pdf->Ln(2);

		$pdf->SetFont('arial','B',8); // DEIXA A FONTE EM NEGRITO
		$pdf->Cell(50,20,'FORMA DE PAGAMENTO',0,1,"L");
		$pdf->SetFont('arial','',8); // REMOVE O NEGRITO
	}

	$a_forma = carregar('forma',$a[prod_nb_id]);


//	$pdf->Cell(315,20,trim($a_forma[form_tx_nome]).': ',0,0,"R");
//	$pdf->Cell(50,20,'R$ '.mostra_valor($a[valor]*(-1)),0,1,"R");

	$pdf->Cell(0,20,trim($a_forma[form_tx_nome]).': '.'R$ '.mostra_valor($a[valor]*(-1)),0,1,"R");
	$pdf->Ln(2);

	// $string_pagamento .= "<tr><td colspan=3 align=right>".trim($a_forma[form_tx_nome]).": R$ ".mostra_valor($a[valor]*(-1))."</td></tr>";

	// SOMA AS ORPR DE DINHEIRO PARA CALCULAR O TROCO
	if ( $a[prod_nb_id] == 1 ) {
		$total_orpr_dinheiro += $a[valor]*(-1);
	}

	$pag++;
}





// SOMA OS FOBOS DE PAGAMENTO EM DINHEIRO PARA REALIZAR O CÁLCULO DO TROCO
$sql_fobo = selecionar('SUM(fobo_tx_valor) AS fobo_tx_valor|fobo,boleto.movimento.ordem','fobo_tx_status,bole_tx_status,movi_tx_status,bole_nb_movimento',"!inativo,!inativo,!inativo,.movi_nb_id"," AND (orde_tx_status='ativo' OR orde_tx_status='encerrado') AND movi_nb_ordem = orde_nb_id AND fobo_nb_forma=1 AND orde_nb_id IN ($id_ordem) ");
$a_fobo_dinheiro = carrega_array($sql_fobo);


// O VALOR DO TROCO É O VALOR EM DINHEIRO DA ORPR, MENOS, O VALOR DE DINHEIRO DO FOBO
$valor_troco = $total_orpr_dinheiro-$a_fobo_dinheiro[fobo_tx_valor];

// SE TIVER TROCO, EXIBE O TROCO
if ( $valor_troco > 0 ) {

//	$pdf->Cell(315,20,'TROCO: ',0,0,"R");
//	$pdf->Cell(0,20,'R$ '.mostra_valor($valor_troco*(-1),1),0,1,"R");
//	$pdf->Ln(2);

	// $string_imprime .= "<tr><td colspan=3 align=right>TROCO: R$ ".mostra_valor($valor_troco*(-1),1)."</td></tr>";
}




// CRIA O RODAPE DA IMPRESSÃO
$pdf->Ln(4);
$pdf->Cell(0,0,'NÃO É DOCUMENTO FISCAL',0,1,"C");

$pdf->Ln(6);
$pdf->Cell(0,0,'SISTEMAS CACTUS',0,1,"C");




// GERA O ARQUIVO PDF
$pdf->Output($arquivo_pdf,'F');

bat_imprime($arquivo_pdf,intval($_GET[impressora]));

// $pdf->Output();










/*

# CÓDIGO DE DEMONSTRAÇÃO

$pdf = new FPDF("P","pt",array('421','1000'));
$pdf->AddPage();
 
$pdf->SetFont('arial','B',18);


$pdf->Cell(0,5,"SEU MARZA",0,1,'C');
$pdf->Ln(2);
$pdf->Cell(0,5,"COMANDA 102",0,1,'C');
$pdf->SetFont('arial','',14);
$pdf->Ln(2);
$pdf->Cell(0,5,date("d/m/Y ( H:i:s )"),0,1,'C');
$pdf->Ln(2);
 
// CABEÇALHO DA TABELA 
$pdf->SetFont('arial','B',14);
$pdf->Cell(90,20,'ITEM',0,0,"L");
$pdf->Cell(300,20,'PRODUTO',0,1,"L");
// $pdf->Cell(100,20,'',0,1,"L");

$pdf->Cell(80,20,'QTDE',0,0,"R");
$pdf->Cell(230,20,'UNIT.',0,0,"C");
$pdf->Cell(100,20,'VALOR',0,1,"L");

 
// LINHAS DA TABELA
$pdf->SetFont('arial','',12);

// LINHA 1 DE PRODUTOS
$pdf->Cell(90,20,"01 ".$i,0,0,"L");
$pdf->Cell(320,20,'TULIPAS',0,1,"L");

$pdf->Cell(80,20,"2,00 ".$i,0,0,"R");
$pdf->Cell(230,20,'R$ 19,90',0,0,"C");
$pdf->Cell(100,20,'R$ 39,80',0,1,"L");

// LINHA 2 DE PRODUTOS
$pdf->Cell(100,20,"01 ".$i,0,0,"L");
$pdf->Cell(320,20,'TULIPAS',0,1,"L");

$pdf->Cell(80,20,"2,00 ".$i,0,0,"R");
$pdf->Cell(230,20,'R$ 19,90',0,0,"C");
$pdf->Cell(100,20,'R$ 39,80',0,1,"L");


$pdf->Ln(2);
$pdf->Cell(315,20,"SUB TOTAL:".$i,0,0,"R");
$pdf->Cell(50,20,'R$ 79,60',0,1,"R");

$pdf->Cell(315,20,"SUGESTÃO DE GORJETA:".$i,0,0,"R");
$pdf->Cell(50,20,'R$ 7,96',0,1,"R");

$pdf->Cell(315,20,"TOTAL:".$i,0,0,"R");
$pdf->Cell(50,20,'R$ 87,56',0,1,"R");


// RODAPE DA IMPRESSÃO
$pdf->Ln(2);
$pdf->Cell(50,20,'NÃO É DOCUMENTO FISCAL',0,1,"C");

$pdf->Ln(2);
$pdf->Cell(50,20,'CACTUS TECNOLOGIA',0,1,"C");



$pdf->Output();
*/




?>